Subject: Re: [Xen-devel] Unable to unregister netdevice after "netfilter: bridge: forward IPv6 fragmented packets"

From: Julien Grall <[email-masked]>
Date: Tue, 30 Jun 2015 11:33:57 +0100

Hi Florian,

On 29/06/15 19:55, Florian Westphal wrote:
> Julien Grall <[email-masked]> wrote:
>> I tried to run the latest Linux tree
>> (4a10a91756ef381bced7b88cfb9232f660b92d93) as DOM0 Xen.
>> After destroying a guest using network, I got the following
>> lines in the DOM0 kernel log:
>>
>> unregister_netdevice: waiting for vif1.0 to become free. Usage count = 1
>>
>> The bisector pointed the problem after the commit
>> efb6de9b4ba0092b2c55f6a52d16294a8a698edd
>> "netfilter: bridge: forward IPv6 fragmented packets".
> 
> Seems we can leak skb in br_nf_dev_queue_xmit()...  Does this fix the problem?

It doesn't resolve the problem. I added some printk to see if the fixed
paths are executed and I don't see any.

Regards,

-- 
Julien Grall